-- MySQL dump 10.13  Distrib 5.5.35, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: MarkerDB5
-- ------------------------------------------------------
-- Server version	5.5.35-0ubuntu0.12.04.2

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `T_Chromosome`
--

DROP TABLE IF EXISTS `T_Chromosome`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `T_Chromosome` (
  `Chromosome_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Chromosome_Name` varchar(45) NOT NULL,
  `Folder_Loc_HDD` varchar(45) DEFAULT NULL,
  `T_Reference_Reference_ID` int(11) NOT NULL,
  PRIMARY KEY (`Chromosome_ID`),
  KEY `fk_T_Chromosome_T_Reference1` (`T_Reference_Reference_ID`),
  CONSTRAINT `fk_T_Chromosome_T_Reference1` FOREIGN KEY (`T_Reference_Reference_ID`) REFERENCES `T_Reference` (`Reference_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `T_Cult_Name`
--

DROP TABLE IF EXISTS `T_Cult_Name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `T_Cult_Name` (
  `ID_Cult` int(11) NOT NULL AUTO_INCREMENT,
  `Cult_Name` varchar(45) NOT NULL,
  PRIMARY KEY (`ID_Cult`),
  UNIQUE KEY `Cult_Name_UNIQUE` (`Cult_Name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `T_Cults`
--

DROP TABLE IF EXISTS `T_Cults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `T_Cults` (
  `Cults_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Cult_Allele` varchar(45) NOT NULL,
  `T_SNP_Loc_ID` int(11) NOT NULL,
  `T_Cult_Name_ID_Cult` int(11) NOT NULL,
  PRIMARY KEY (`Cults_ID`),
  KEY `fk_T_Cults_T_SNP1` (`T_SNP_Loc_ID`),
  KEY `fk_T_Cults_T_Cult_Name1` (`T_Cult_Name_ID_Cult`),
  CONSTRAINT `fk_T_Cults_T_Cult_Name1` FOREIGN KEY (`T_Cult_Name_ID_Cult`) REFERENCES `T_Cult_Name` (`ID_Cult`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_T_Cults_T_SNP1` FOREIGN KEY (`T_SNP_Loc_ID`) REFERENCES `T_SNP` (`Loc_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `T_Reference`
--

DROP TABLE IF EXISTS `T_Reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `T_Reference` (
  `Reference_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Reference_Name` varchar(45) NOT NULL,
  `T_Specie_Name_ID_Specie` int(11) NOT NULL,
  PRIMARY KEY (`Reference_ID`),
  UNIQUE KEY `Reference_Name_UNIQUE` (`Reference_Name`),
  KEY `fk_T_Reference_T_Specie_Name1` (`T_Specie_Name_ID_Specie`),
  CONSTRAINT `fk_T_Reference_T_Specie_Name1` FOREIGN KEY (`T_Specie_Name_ID_Specie`) REFERENCES `T_Specie_Name` (`ID_Specie`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `T_SNP`
--

DROP TABLE IF EXISTS `T_SNP`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `T_SNP` (
  `Loc_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Chrom_Pos` varchar(45) NOT NULL,
  `T_SNP_Name_ID_SNP` int(11) NOT NULL,
  `Source` varchar(45) NOT NULL,
  `T_Chromosome_Chromosome_ID` int(11) NOT NULL,
  `input_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`Loc_ID`),
  KEY `fk_T_SNP_T_SNP_Name1` (`T_SNP_Name_ID_SNP`),
  KEY `fk_T_SNP_T_Chromosome1` (`T_Chromosome_Chromosome_ID`),
  CONSTRAINT `fk_T_SNP_T_Chromosome1` FOREIGN KEY (`T_Chromosome_Chromosome_ID`) REFERENCES `T_Chromosome` (`Chromosome_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_T_SNP_T_SNP_Name1` FOREIGN KEY (`T_SNP_Name_ID_SNP`) REFERENCES `T_SNP_Name` (`ID_SNP`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `T_SNP_Name`
--

DROP TABLE IF EXISTS `T_SNP_Name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `T_SNP_Name` (
  `ID_SNP` int(11) NOT NULL AUTO_INCREMENT,
  `SNP_Name` varchar(45) NOT NULL,
  PRIMARY KEY (`ID_SNP`),
  UNIQUE KEY `SNP_Name` (`SNP_Name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `T_Specie_Name`
--

DROP TABLE IF EXISTS `T_Specie_Name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `T_Specie_Name` (
  `ID_Specie` int(11) NOT NULL AUTO_INCREMENT,
  `Specie_Name` varchar(45) NOT NULL,
  `Specie_Abbrevation` varchar(45) NOT NULL,
  PRIMARY KEY (`ID_Specie`),
  UNIQUE KEY `Specie_Name_UNIQUE` (`Specie_Name`),
  UNIQUE KEY `Specie_Abbrevation_UNIQUE` (`Specie_Abbrevation`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-04-24 13:18:54
