#!/usr/bin/python
import sys
import os

import logging

config = {}

########## database settings ##########
config['db_host']   = '192.168.64.51'  # use ip address so workhorse can also use the same host, need to turn off bind-address in mysql config
config['db']        = 'UniSNPdb'
config['db_user']   = 'unisnp'
config['db_passwd'] = '1dwards'
config['db_pool_size'] = 3

########## frontend settings ##########
# Make sure the directories are mounted on both the workhorse server
# and client server.
config['upload_dir'] = '/ws/appShare/UniSNP/data/tmp/'
config['data_dir'] = '/ws/appShare/UniSNP/data/'
config['ref_db_fn'] = 'ref_db.fasta' # stored in config['data_dir']/`ID_Species`-`T_Species_Name`
                                     # fasta id = >`T_Reference`.`Reference_ID`_original_id




########## workhorse setting ##########
# workhorse configuration for blast
# use: scp-copy-id workhorse_user@workhorse_server
# Set "workhorse_user = None" will use this local server to process jobs
config['workhorse_user'] = "uqccha18"
#config['workhorse_servers'] = ['barrine1,hpcu.uq.edu.au', 'barrine2.hpcu.uq.edu.au', 'barrine3.hpcu.uq.edu.au']
config['workhorse_servers'] = ['fujin.lafs.uq.edu.au']
config['workhorse_data_dir'] = '/srv/fujin/uqccha18/unisnp/unisnpdata'   # created for each species the `ID_Species` from
                                                                         # the db table `T_Species_Name`
config['workhorse_upload_dir'] = '/srv/fujin/uqccha18/unisnp/unisnpdata/tmp'


########## Blastn setting ##########
# Num of threads to be used in blastn command
#   Can set to None and default 1 is used
config['n_blast_threads'] = None 
# Setting this evalue is for reducing file size and processing time, 
#   it should be made sure, this evalue includes all hits with min_bit_score
#   Can set to None and default evalue=10 is used
config['evalue'] = '1e-130'   


########## Advanced setting ##########
# flanking region to take around snp
# e.g. 250 will take 250bp upstream AND 250 downstream (500 total)
# for testing
#config['fasta_snp_flanking_size'] = 5
config['fasta_snp_flanking_size'] = 250
# min bit score for considering as a secondary snp
config['min_bit_score'] = 500

config['new_snp_prefix'] = 'UQ' # the snp id prefix used for new inserted snp
config['snp_id_length'] = 10 # The snp id length excluding prefix, padded with zero

# allowable logging level: loggin.INFO, loggin.WARNING, loggin.ERROR, loggin.CRITICAL
config['logLevel'] = logging.DEBUG

