#!/usr/bin/python

__author__ = "Kenneth Chan"
__version__ = "1.0"
__contact__ = "<c.chan10@uq.edu.au>"


from sqlalchemy import pool, create_engine
from config import config

class mysqldbPool():
    
    def __init__(self):
        self.__initPool()
        self.__id=[]

    def __initPool(self):
      # adding pool_recycle at every hour to prevent mysql automatically close connection when the connections have been idle for 8 hours or more.
      self.__engine = create_engine("mysql+mysqldb://%s:%s@%s/%s?charset=utf8&use_unicode=0" \
          %(config['db_user'], config['db_passwd'], config['db_host'], config['db']), pool_recycle=3600)
      self.__mypool = pool.QueuePool(self.__getConn, pool_size=config['db_pool_size'])
      print "db connection pool is created"


    def __getConn(self):
      return self.__engine.connect()
    

    def statement(self, statement, values=()):
      if id(self) not in self.__id:
        print("Using db pool instance id: %s" %(str(id(self))))
        self.__id.append(id(self))

      if not self.__mypool:
        self.__initPool()
      conn = self.__mypool.connect()

      results = conn.execute(statement, values)
      conn.close()
      if not results.returns_rows:
        return

      thisResult=[]
      for row in results:
        thisResult.append(row)
      return thisResult
            

if __name__ == "__main__":
  sql = dbPool()
  results = sql.statement("""SELECT * FROM `T_Reference`;""")
  for name in results:
    print name[0]
  print results

