#!/bin/bash

# Author: Kenneth Chan                                                                                 
# Version 0.1


usage="\nUSAGE: bash $0 [-h] [-d] -o <outDir> <inDir> [<inDir> ...]\n";


DEBUG=0;
options=':hdo:';
while getopts $options OPTION
do
	case $OPTION in
		d) DEBUG=1;;
		h) echo -e "$usage"; exit 0;;
		o) outDir=${OPTARG};;
		\?) echo;echo "Unknown option -$OPTARG">&2; echo; exit 1;;
		:) echo;echo "Missing option argument for -$OPTARG">&2; echo; exit 1;;
	esac
done
shift $(( $OPTIND - 1 ));

if [ "$#" -lt 1 ] || [ -z "$outDir" ]; then
	echo -e "$usage"; exit 1;
fi


for d in $@
do
	orgVcf=`ls ${d}/*_org.vcf`
	orgVcfName=`basename $orgVcf`
	outVcf=${outDir}/${orgVcfName/_org.vcf/_hitMultiID.vcf}

	echo "grep '^#' $orgVcf > $outVcf"
	echo "grep 'HIT-MULTI-SNP-ID' ${d}/exception_record.tsv | cut -f3- | rev | cut -f3- | rev >> $outVcf"
	if [ ! -z $DEBUG ] && [ "$DEBUG" -lt 1 ]; then
		grep '^#' $orgVcf > $outVcf
		grep 'HIT-MULTI-SNP-ID' ${d}/exception_record.tsv | cut -f3- | rev | cut -f3- | rev >> $outVcf
	fi
done
