#!/usr/bin/env python

# V0.2 output all in a file, output genotype info
# V0.1 initial version
# Author: Kenneth Chan


import os, sys
import argparse

try:
    custlib = os.path.join(os.path.dirname(__file__),'../lib')
except NameError:
    custlib = 'lib'
sys.path.append(custlib)

from mysqldbPool import mysqldbPool
from config import config


conn = mysqldbPool()


def update_chr_name_db(oldName, newName):
  cultInfo = conn.statement("""UPDATE T_Chromosome
                               SET Chromosome_Name = %s
                               WHERE Chromosome_Name = %s""", (newName, oldName))


def update_chr_name(thisFile):
  thisFH = open(thisFile, 'r')
  for line in thisFH:
    (oldName, newName)=line.split()
    print "old: "+oldName+"  new: "+newName
    update_chr_name_db(oldName, newName)
  thisFH.close()


if __name__ == '__main__':
  parser = argparse.ArgumentParser(description="convert old chromosome name to new name")
  parser.add_argument('--inFile', nargs='?', required=True,
                   help='Old to new name file')
  args = parser.parse_args()

  update_chr_name(args.inFile)

#END

